Settings

A list of all publicly available methods for interacting with the API.

GET

Get settings

/package/settings/{id}
Deprecated

This method still works, but API v3 has a newer one.

Use the v3 method instead

Return package settings, like name, description, etc.

This method requires authorization!
You can use your own API key, which can be obtained at control panel.
This method - requires permissions -packages-settings.read
When creating an API token in your control panel, you can choose certain permissions (for example: prevent the token from placing orders).
You can also find a list of permissions in our documentation.

Query method

GEThttps://api.stableproxy.com/v2/package/settings/{id}

Query parameters

IdentifierRegulationsExample
id1required55

Code examples

1const baseUrl = "https://api.stableproxy.com/v2";
2const response = await fetch(baseUrl + "/package/settings/{id}", {
3 method: "GET",
4 headers: {
5 "Authorization": "API-Token [YOUR TOKEN]",
6 "Content-Type": "application/json"
7 }
8});
9const data = await response.json();

Examples of answers

Success response200application/json
{
  "data": {
    "settings": [
      {
        "id": "is-auto-renew",
        "name": "is-auto-renew",
        "description": "",
        "placeholder": "",
        "validationRules": [
          "nullable",
          "ex-boolean"
        ],
        "value": true
      },
      {
        "id": "name",
        "name": "name",
        "description": "",
        "placeholder": "",
        "validationRules": [
          "nullable",
          "string",
          "min:0",
          "max:52"
        ],
        "value": ""
      }
    ]
  },
  "good": true,
  "timestamp": 1731360615,
  "cause": {
    "type": "user",
    "user_id": 1,
    "token_id": 9845,
    "token_sign": "edd87db549cd52292a47ad455bbea947"
  }
}